aboutsummaryrefslogtreecommitdiff
path: root/testcases/kernel/controllers/cpuset/cpuset_regression_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testcases/kernel/controllers/cpuset/cpuset_regression_test.sh')
-rwxr-xr-xtestcases/kernel/controllers/cpuset/cpuset_regression_test.sh18
1 files changed, 12 insertions, 6 deletions
diff --git a/testcases/kernel/controllers/cpuset/cpuset_regression_test.sh b/testcases/kernel/controllers/cpuset/cpuset_regression_test.sh
index a5757309f..bedc48110 100755
--- a/testcases/kernel/controllers/cpuset/cpuset_regression_test.sh
+++ b/testcases/kernel/controllers/cpuset/cpuset_regression_test.sh
@@ -190,21 +190,27 @@ do_test()
ROD_SILENT mkdir ${root_cpuset_dir}/testdir
# Creat an exclusive cpuset.
- echo 1 > ${root_cpuset_dir}/testdir/${cpu_exclusive}
- [ $? -ne 0 ] && tst_brk TFAIL "'echo 1 > ${root_cpuset_dir}/testdir/${cpu_exclusive}' failed"
+ if ! echo 1 > ${root_cpuset_dir}/testdir/${cpu_exclusive}; then
+ tst_res TFAIL "'echo 1 > ${root_cpuset_dir}/testdir/${cpu_exclusive}' failed"
+ return
+ fi
cpu_exclusive_tmp=$(cat ${root_cpuset_dir}/testdir/${cpu_exclusive})
if [ "${cpu_exclusive_tmp}" != "1" ]; then
- tst_brk TFAIL "${cpu_exclusive} is '${cpu_exclusive_tmp}', expected '1'"
+ tst_res TFAIL "${cpu_exclusive} is '${cpu_exclusive_tmp}', expected '1'"
+ return
fi
# This may trigger the kernel crash
- echo 0 > ${root_cpuset_dir}/testdir/${cpus}
- [ $? -ne 0 ] && tst_brk TFAIL "'echo 0 > ${root_cpuset_dir}/testdir/${cpus}' failed"
+ if ! echo 0 > ${root_cpuset_dir}/testdir/${cpus}; then
+ tst_res TFAIL "'echo 0 > ${root_cpuset_dir}/testdir/${cpus}' failed"
+ return
+ fi
cpus_value=$(cat ${root_cpuset_dir}/testdir/${cpus})
if [ "${cpus_value}" != "0" ]; then
- tst_brk TFAIL "${cpus} is '${cpus_value}', expected '0'"
+ tst_res TFAIL "${cpus} is '${cpus_value}', expected '0'"
+ return
fi
tst_res TPASS "Bug is not reproducible"